Package org.eclipse.birt.chart.model

# Interface IChartModelHelper

All Known Implementing Classes:
  `ChartModelHelper`

public interface IChartModelHelper
This helper class is used to update chart model or return model properties.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.chart.util.ChartExpressionUtil.ExpressionCodec`
`createExpressionCodec()`
Create an instance of ExpressionCodec.
`List<String>`
`getBuiltInExtendedProperties()`
Gets built-in extended properties which can't be removed in UI.
`void`
`updateExtendedProperties(org.eclipse.emf.common.util.EList<ExtendedProperty> properties)`
Updates extended properties during model and UI initialization

## Method Details

### updateExtendedProperties

void updateExtendedProperties(org.eclipse.emf.common.util.EList<ExtendedProperty> properties)
Updates extended properties during model and UI initialization

Parameters:
  `properties` -

### getBuiltInExtendedProperties

List<String> getBuiltInExtendedProperties()
Gets built-in extended properties which can't be removed in UI.

Returns:
  extended properties which can't be removed in UI

### createExpressionCodec

org.eclipse.birt.chart.util.ChartExpressionUtil.ExpressionCodec createExpressionCodec()
Create an instance of ExpressionCodec.

Returns:
  the ExpressionCodec